org.apache.solr.schema

## Enum FieldType.MultiValueSelector

- java.lang.Object
- - java.lang.Enum<FieldType.MultiValueSelector>
  - - org.apache.solr.schema.FieldType.MultiValueSelector

- All Implemented Interfaces:
    Serializable, Comparable<FieldType.MultiValueSelector>
  Enclosing class:
    FieldType

      public static enum FieldType.MultiValueSelector
      extends Enum<FieldType.MultiValueSelector>

  An enumeration representing various options that may exist for selecting a single value from a multivalued field. This class is designed to be an abstract representation, agnostic of some of the underlying specifics. Not all enum value are garunteeded work in all contexts -- null checks must be dont by the caller for the specific methods needed.
  See Also:
    `FieldType.getSingleValueSource(org.apache.solr.schema.FieldType.MultiValueSelector, org.apache.solr.schema.SchemaField, org.apache.solr.search.QParser)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAX`
    `MIN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortedNumericSelector.Type` | `getSortedNumericSelectorType()` The appropriate `SortedNumericSelector.Type` option for this `MultiValueSelector`, may be null if there is no equivilent
    `SortedSetSelector.Type` | `getSortedSetSelectorType()` The appropriate `SortedSetSelector.Type` option for this `MultiValueSelector`, may be null if there is no equivilent
    `static FieldType.MultiValueSelector` | `lookup(String label)` Returns a MultiValueSelector matching the specified (case insensitive) label, or null if no corrisponding MultiValueSelector exists.
    `String` | `toString()`
    `static FieldType.MultiValueSelector` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldType.MultiValueSelector[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN

          public static final FieldType.MultiValueSelector MIN

    - #### MAX

          public static final FieldType.MultiValueSelector MAX

  - ### Method Detail

    - #### values

          public static FieldType.MultiValueSelector[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType.MultiValueSelector c : FieldType.MultiValueSelector.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType.MultiValueSelector valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FieldType.MultiValueSelector>`

    - #### getSortedSetSelectorType

          public SortedSetSelector.Type getSortedSetSelectorType()

      The appropriate `SortedSetSelector.Type` option for this `MultiValueSelector`, may be null if there is no equivilent

    - #### getSortedNumericSelectorType

          public SortedNumericSelector.Type getSortedNumericSelectorType()

      The appropriate `SortedNumericSelector.Type` option for this `MultiValueSelector`, may be null if there is no equivilent

    - #### lookup

          public static FieldType.MultiValueSelector lookup(String label)

      Returns a MultiValueSelector matching the specified (case insensitive) label, or null if no corrisponding MultiValueSelector exists.
      Parameters:
        `label` - a non null label to be checked for a corrisponding MultiValueSelector
      Returns:
        a MultiValueSelector or null if no MultiValueSelector matches the specified label

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.